Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Ashton Wiersdorf <[email-masked]>
Date: Tue, 31 Dec 2024 16:51:19 -0700

Hey all, I've had some luck reproducing this just now!

Dump this into "eshell_scroll_bug.el":

    (pixel-scroll-precision-mode)
    (tool-bar-mode -1)
    (setopt frame-resize-pixelwise t)
    (set-frame-height (selected-frame) 486 nil t)
    (eshell)

Then run `emacs -Q -l eshell_scroll_bug.el`, and then run `find 
/etc/` from inside Eshell.

The prompt should appear covered by the mode-line.

Here's the `emacs-version` that this is occurring under:

GNU Emacs 30.0.93 (build 2, aarch64-apple-darwin24.2.0, NS 
appkit-2575.30 Version 15.2 (Build 24C101)) of 2024-12-26

I've attached a screenshot of what it looks like on my machine 
after running that. I hope this helps!

-- 
Ashton Wiersdorf
https://lambdaland.org/